# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. The list of available CPACK_xxx variables and their associated
# documentation may be obtained using
#  cpack --help-variable-list
#
# Some variables are common to all generators (e.g. CPACK_PACKAGE_NAME)
# and some are specific to a generator
# (e.g. CPACK_NSIS_EXTRA_INSTALL_COMMANDS). The generator specific variables
# usually begin with CPACK_<GENNAME>_xxxx.


set(CPACK_ARCHIVE_COMPONENT_INSTALL "ON")
set(CPACK_BUILD_SOURCE_DIRS "/home/langella/developpement/git/cutelee_mia;/home/langella/developpement/git/cutelee_mia/cbuild")
set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_COMPONENTS_ALL "Common;Templates;TextDocument;Unspecified")
set(CPACK_COMPONENT_COMMON_DESCRIPTION "Files needed by all Cutelee frameworks")
set(CPACK_COMPONENT_COMMON_DISPLAY_NAME "Cutelee Common files")
set(CPACK_COMPONENT_COMMON_REQUIRED "ON")
set(CPACK_COMPONENT_TEMPLATES_DEPENDS "Common")
set(CPACK_COMPONENT_TEMPLATES_DESCRIPTION "A string template system for Qt based on Django syntax")
set(CPACK_COMPONENT_TEMPLATES_DISPLAY_NAME "Cutelee String Templates")
set(CPACK_COMPONENT_TEXTDOCUMENT_DEPENDS "Common")
set(CPACK_COMPONENT_TEXTDOCUMENT_DESCRIPTION "A framework for QTextDocument related tasks")
set(CPACK_COMPONENT_TEXTDOCUMENT_DISPLAY_NAME "Cutelee TextDocument framework")
set(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
set(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS "ON")
set(CPACK_DEFAULT_PACKAGE_DESCRIPTION_FILE "/usr/share/cmake-3.25/Templates/CPack.GenericDescription.txt")
set(CPACK_DEFAULT_PACKAGE_DESCRIPTION_SUMMARY "Cutelee built using CMake")
set(CPACK_DMG_SLA_USE_RESOURCE_FILE_LICENSE "ON")
set(CPACK_GENERATOR "DEB")
set(CPACK_INSTALL_CMAKE_PROJECTS "/home/langella/developpement/git/cutelee_mia/cbuild;Cutelee;ALL;/")
set(CPACK_INSTALL_PREFIX "/usr/local")
set(CPACK_MODULE_PATH "/usr/lib/x86_64-linux-gnu/cmake/Qt6;/usr/lib/x86_64-linux-gnu/cmake/Qt6/3rdparty/extra-cmake-modules/find-modules;/usr/lib/x86_64-linux-gnu/cmake/Qt6/3rdparty/kwin;/home/langella/developpement/git/cutelee_mia/cmake/modules")
set(CPACK_NSIS_DISPLAY_NAME "Cutelee6-qt6 6.1.0")
set(CPACK_NSIS_INSTALLER_ICON_CODE "")
set(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
set(CPACK_NSIS_PACKAGE_NAME "Cutelee6-qt6 6.1.0")
set(CPACK_NSIS_UNINSTALL_NAME "Uninstall")
set(CPACK_OBJCOPY_EXECUTABLE "/usr/bin/objcopy")
set(CPACK_OBJDUMP_EXECUTABLE "/usr/bin/objdump")
set(CPACK_OUTPUT_CONFIG_FILE "/home/langella/developpement/git/cutelee_mia/cbuild/CPackConfig.cmake")
set(CPACK_PACKAGE_CONTACT "Daniel Nicoletti <dantti12@gmail.com>")
set(CPACK_PACKAGE_DEFAULT_LOCATION "/")
set(CPACK_PACKAGE_DESCRIPTION_FILE "/usr/share/cmake-3.25/Templates/CPack.GenericDescription.txt")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Qt Template Engine based on Django templates")
set(CPACK_PACKAGE_FILE_NAME "Cutelee6-qt6-6.1.0-Linux")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Cutelee6-qt6 6.1.0")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "Cutelee6-qt6 6.1.0")
set(CPACK_PACKAGE_NAME "Cutelee6-qt6")
set(CPACK_PACKAGE_RELOCATABLE "true")
set(CPACK_PACKAGE_VENDOR "Daniel Nicoletti")
set(CPACK_PACKAGE_VERSION "6.1.0")
set(CPACK_PACKAGE_VERSION_MAJOR "6")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_READELF_EXECUTABLE "/usr/bin/readelf")
set(CPACK_RESOURCE_FILE_LICENSE "/home/langella/developpement/git/cutelee_mia/COPYING.LIB")
set(CPACK_RESOURCE_FILE_README "/home/langella/developpement/git/cutelee_mia/README.md")
set(CPACK_RESOURCE_FILE_WELCOME "/usr/share/cmake-3.25/Templates/CPack.GenericWelcome.txt")
set(CPACK_SET_DESTDIR "OFF")
set(CPACK_SOURCE_GENERATOR "TBZ2;TGZ;TXZ;TZ")
set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "/home/langella/developpement/git/cutelee_mia/cbuild/CPackSourceConfig.cmake")
set(CPACK_SOURCE_RPM "OFF")
set(CPACK_SOURCE_TBZ2 "ON")
set(CPACK_SOURCE_TGZ "ON")
set(CPACK_SOURCE_TXZ "ON")
set(CPACK_SOURCE_TZ "ON")
set(CPACK_SOURCE_ZIP "OFF")
set(CPACK_STRIP_FILES "1")
set(CPACK_SYSTEM_NAME "Linux")
set(CPACK_THREADS "1")
set(CPACK_TOPLEVEL_TAG "Linux")
set(CPACK_WIX_SIZEOF_VOID_P "8")

if(NOT CPACK_PROPERTIES_FILE)
  set(CPACK_PROPERTIES_FILE "/home/langella/developpement/git/cutelee_mia/cbuild/CPackProperties.cmake")
endif()

if(EXISTS ${CPACK_PROPERTIES_FILE})
  include(${CPACK_PROPERTIES_FILE})
endif()
