cmake_minimum_required(VERSION 3.5)

if(NOT EXISTS "/home/langella/developpement/git/cutelee_mia/cbuild/install_manifest.txt")
  message(FATAL_ERROR "Cannot find install manifest: \"/home/langella/developpement/git/cutelee_mia/cbuild/install_manifest.txt\"")
endif()

file(READ "/home/langella/developpement/git/cutelee_mia/cbuild/install_manifest.txt" files)
string(REGEX REPLACE "\n" ";" files "${files}")
foreach(file ${files})
  message(STATUS "Uninstalling \"${file}\"")
  if(EXISTS "${file}")
    execute_process(COMMAND
      "/usr/bin/cmake" -E remove "${file}"
      OUTPUT_VARIABLE rm_out
      RESULT_VARIABLE rm_retval
      )
    if(NOT "${rm_retval}" STREQUAL 0)
      message(FATAL_ERROR "Problem when removing \"${file}\": ${rm_out}")
    endif()
  else()
    message(STATUS "File \"${file}\" does not exist.")
  endif()
  get_filename_component(path ${file} DIRECTORY)

  # Remove include/cutelee lib/cutelee/${version} and lib/cutelee if no other
  # versions are present.
  while( ${path} MATCHES ".*cutelee.*" )
    file(GLOB contents RELATIVE ${path} "${path}/*" )
    if (NOT contents)
      message(STATUS "Removing empty directory: ${path}")

      execute_process(COMMAND
        "/usr/bin/cmake" -E remove_directory "${path}"
        OUTPUT_VARIABLE rm_out
        RESULT_VARIABLE rm_retval
      )

      if("${rm_retval}" STREQUAL 0)
        get_filename_component(path ${path} DIRECTORY)
      else()
        message(FATAL_ERROR "Problem when removing \"${path}\"")
      endif()
    else()
      break()
    endif()
  endwhile()
endforeach()
